
D4Science Infrastructure - Task #1501

Reinstall the 'old' smartexecutors from the provisioning

Nov 23, 2015 03:37 PM - Andrea Dell'Amico

Status: Closed Start date: Nov 23, 2015

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The following nodes should be erased:

Stop the service

Remove all the gcube* users

Remove the old startup script for the service, /etc/init.d/gcore, and remove it from the sysv runlevels (links inside /etc/rc?.d)

Provision the hosts running the smartgears ansible playbook

node[3:4].d4science.org

node[11:16].d4science.org

node18.d4science.org

node20.d4science.org

node21.d4science.org

node23.d4science.org

node[27:39].d4science.org

Related issues:

Blocked by D4Science Infrastructure - Task #1518: Automate the installation o... Closed Nov 24, 2015

Blocks D4Science Infrastructure - Task #1846: Provide an ansible playbook for... Closed Dec 17, 2015

History

#1 - Nov 23, 2015 04:03 PM - Andrea Dell'Amico

@gianpaolo.coro@isti.cnr.it will give us the green light.

#2 - Nov 24, 2015 06:27 PM - Andrea Dell'Amico

- Blocked by Task #1518: Automate the installation of the gcube keys added

#3 - Dec 18, 2015 02:34 PM - Andrea Dell'Amico

- Blocks Task #1846: Provide an ansible playbook for publishing the smart-executor services at VRE level added

#4 - Dec 18, 2015 02:35 PM - Andrea Dell'Amico

@gianpaolo.coro@isti.cnr.it @roberto.cirillo@isti.cnr.it any clues about a canditate date?

#5 - Dec 18, 2015 03:45 PM - Gianpaolo Coro

Since the system selects resources dynamically and currently there is no big job running, on my side you can do it anytime between now and end of

January. Please coordinate with Roberto who is the supervisor of the production environment.

#6 - Dec 18, 2015 04:32 PM - Roberto Cirillo

node41.d4science.org is not a smart-executor service, please remove this host from the list.

After that, we could perform this upgrade today if you want or the next monday if you prefer. This upgrade doesn't need a downtime.

#7 - Dec 18, 2015 04:48 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

node41.d4science.org is not a smart-executor service, please remove this host from the list.

 OK
After that, we could perform this upgrade today if you want or the next monday if you prefer. This upgrade doesn't need a downtime.

 Next monday is better. It's now late, if any problem occurs there is no time to fix them.

#8 - Dec 18, 2015 05:33 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

Next monday is better. It's now late, if any problem occurs there is no time to fix them.

 Ok for me

#9 - Dec 18, 2015 06:14 PM - Andrea Dell'Amico

- Description updated

#10 - Dec 21, 2015 12:51 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 20

I'm starting the servers cleanup. The nodes will be unavailable for a couple of hours.

#11 - Dec 21, 2015 05:05 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

All the listed nodes are up to date and the configuration modified as per https://support.d4science.org/issues/1846

#12 - Dec 21, 2015 06:56 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
